Documentation Index
Fetch the complete documentation index at: https://docs.tts.monster/llms.txt
Use this file to discover all available pages before exploring further.
Add your API token here. You can find it by reading the /authentication page.
Response
Although the character_usage and character_allowance fields will always be available through this endpoint, other fields are added here for transparency and may be added or removed without notice.
The character usage for the current billing period.
The character allowance for the current billing period.
The current active plan of the user.
The name of the plan being downgraded to, if applicable.
Whether the user has a payment method attached to their account.
Direct link to the Stripe Portal to make changes to the payment method.
UNIX timestamp of when the subscription will be renewed.
Current status of the subscription.
curl -X POST https://api.console.tts.monster/user \
-H "Authorization: ttsm_12345-abcdef"
{
"current_plan": "free",
"status": "active",
"renewal_time": 1727392003,
"character_usage": 145892,
"character_allowance": 500000,
"portal_url": "https://billing.stripe.com/p/session/live_12345",
"has_payment_method": true,
"downgrading_to_plan": null
}